Subject: bug#25741: [PATCH 2/2] gnu: kbd: Add neo layout.

From: ng0 <[email-masked]>
Date: Thu, 9 Mar 2017 12:01:50 +0000

Ricardo Wurmus transcribed 0.6K bytes:
> 
> [email-masked] writes:
> 
> > From: ng0 <[email-masked]>
> >
> > * gnu/packages/linux.scm (kbd): Add neo layout.
> > [arguments]: Add new 'install-neo-layout' and 'add-neo-directory' phases.
> > [native-inputs]: Add 'kbd-neo'.
> > ---
> 
> I must say that this looks like a hack.  Shouldn’t it be sufficient to
> install the gzipped map file to some directory?  Why is it necessary to
> let kdb take care of installing the keymap?
> 
> If it is just a matter of finding the desired keymap at runtime, I think
> it would be better to use a search path (if it exists).
> 
> -- 
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
> 

I've looked at Nix, and I've looked at the Makefile of kbd. This is the
way which works. I'm not sure if adding a searchpath would have the same
effect, but once I have fixed the neo patch I can try it. Even if it's
just to point out that it doesn't work this way.

Thanks for your reviews, I'll send updated patches as soon as I have
fixed my systems.